Hello.
I was using psycopg2/Python with Postgres 8.0.4, on Win XP.
Now, when I installed Postgres 8.1.0 and was trying to connect with Python/psycopg2, an error occured: "This application has failed to start because lipq.dl was not found. Re-installing the application may fix the problem."
What to do?

Thanks,

Zlatko

Search Discussions

  • Magnus Hagander at Nov 13, 2005 at 12:13 pm

    Hello.
    I was using psycopg2/Python with Postgres 8.0.4, on Win XP.
    Now, when I installed Postgres 8.1.0 and was trying to
    connect with Python/psycopg2, an error occured: "This
    application has failed to start because lipq.dl was not
    found. Re-installing the application may fix the problem."
    What to do?
    Make sure libpq.dll is available to your application. Either by adding the directory containing it to the system PATH (if you're only ever going to have one version of postgresql on this machine), or by copying the file (and its dependencies) to the directory of the application (if you want to maintain the capability to have differnt versions on the same system).

    //Magnus

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-general @
categoriespostgresql
postedNov 13, '05 at 10:58a
activeNov 13, '05 at 12:13p
posts2
users2
websitepostgresql.org
irc#postgresql

2 users in discussion

Zlatko Matić: 1 post Magnus Hagander: 1 post

People

Translate

site design / logo © 2022 Grokbase